# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.11.0] - 2025-03-25
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Added
 - Page with MECRED statistics and data open for public view. 

## [1.10.1] - 2025-03-19
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Fixed
 - Resource not found screen on new accounts due to a bug in the database.
 - Homologation of resources not working.
 - User medal position.
 - Achievements are now correctly displayed even without login.

### Changed
 - Font colors on items and store are now correct.
 - Collection items are now positioned according to their insertion order. Previously, they were alphabetically sorted.

## [1.9.0] - 2025-03-08
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Added
 - Achievements emblems are now displayed in user profile.
 - Users can now buy items and display them on their profiles.

### Fixed
 - There was an error where resources would, sometimes, not be found.
 - Action buttons were no longer displaying the share button properly.

## [1.8.2] - 2025-02-26

### Fixed
 - Sidebar no longer displaces when an item is selected.
 - No longer autofocus on content in resource page.
 - Help buttons now have an underline and hover to indicate they are clickable.

## [1.8.1] - 2025-02-24

### Changed
 - Password eye icon is now our own. 

## [1.8.0] - 2025-02-24
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Fixed 

 - Mobile navbar now has a logout button.
 - Version has now a padding bottom to display the version correctly.
 - Gamification stats now are displayed only on a row which moves sideways whene needed.
 - Major changes in the login form: it now has a background, icon sizes were redone, we no longer use material UI's textfield and accessibility was now included to the form.
 - Accessibility bar was redone when user is logged out.
 - The dev team page was corrected so it uses our S3 proxy accordingly this time -- pictures now work.

## [1.7.0] - 2025-02-17
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Added

 - Gamification portability, now users have their own gamified stats showned on their profiles.
 - A new page with all the dev team.

### Changed

 - The word "plataforma" is now "MEC RED" so it's more appeling.
 - API references api.mecred.c3sl.ufpr.br now. The whole architecture of the backend services was redone and updated.

### Fixed

 - MEC's email was displayed in MEC's profile, now it is not.
 - General aligment was redone for collection cards.

## [1.6.0] - 2025-02-10
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Added

 - Image cropper on profile pic. Now you can crop a specific part of the image to use it as your profile picture (feature to be added to other images soon).

### Changed

 - Share button colors were off, now all button colors are in sync.
 - Navbar is now smaller in mobile.
 - Selected navbar/sidebar icon was redone so the fonts are the correct weight now.

### Fixed

 - Collection delete button now works properly.
 - Responsivity on navbar was redone, so now user gets the navbar at a proper resolution (before the navbar was being added too soon).
 - Action buttons were broken in mobile (squashing too much), they are now fixed.
 - MEC collection cards were not up to date with the collections page cards, now they are the same.
 - The cards on the Related Resources tab on the Resource View Page was redone so now it should shrink and expand properly.

## [1.5.0] - 2025-02-03
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Added

 - Overlay in link resources. Now it's obvious to the user that the thumbnail and title are clickable.

### Fixed
 
 - A lot of resposivity were completly redone for better mobile experience.
 - All the grid components and responsivity were completly changed or redone.
 - Font sizes and style for the Acessibility Bar.

## [1.4.0] - 2025-01-27
## All changes are introduced on fridays. But only on **mondays** they go to production.

### Added

 - Navigation bar on mobile was redone, it sits in the lower part of the screen now.
 - Publishing a resource now requires confirmation of the terms of use.
 - Licenses are now explained to the user using a modal.
 - Indicator of how much time, in average, it takes for a resource to be approved.
 - Pause button for slideshow in the about page.

### Fixed

 - License texts are updated.
 - Modals are simplified in the publishing resource page.

### Changed

 - Removed the expanded sidebar.

## [1.3.2] - 2025-01-16

### Added

 - On mobile, most default browsers lack a PDF reader, hence, we added an "Access" button, placed at the center of the media, to view the PDF on a new page.

### Changed

 - The "Access" button is highlighted with a different color to improve intuitive navigation.
 - Renamed "Disciplines" to "Themes" and adjusted metadata icons.

### Fixed

 - Fixed a bug where legacy content without tags did not generate recommended content.


## [1.3.1] - 2024-11-18

### Fixed

 - Fix margin of the homologation modal. 


## [1.3.0] - 2024-11-13

### Added

 - New page for denounced resources. 
 - New page visualizing a specific collection.
 - Component to view current collection in resource page.


## [1.2.2] - 2024-11-13

### Added

 - New button to access/download resource in homologation. 

## [1.2.1] - 2024-11-12

### Fixed

 - Send email confirmation button now has a "resend" feature. 

## [1.2.0] - 2024-11-08

### Added

 - New page for explaining acessibility in MECRED. 

## [1.1.3] - 2024-11-06

### Fixed

 - Header's avatar now properly changes when profile picture is updated. 

## [1.1.2] - 2024-11-04

### Added

 - Button to redirect to contact page on both side bar and profile menu 


### Fixed
 
 - Mobile tags were not accepting commas, only enters 

## [1.1.0] - 2024-11-01

### Added
 
 - create share native mobile 


## [1.0.0] - 2024-10-30

### Added

- v1.0 changelog file


