import * as React from 'react';
import DownloadOutlinedIcon from '@mui/icons-material/Download';
import { mecredURL, mecredURLv1 } from '@/axiosConfig';

/**
 * Responsável pelo Download dos recursos de uma coleção
 * @param {Object} props
 * @param {Number} props.id  id do elemento
 * @param {Array.<Object>} props.objects  recursos de uma coleção  
  */
export default function DownloadButton({ id, objects }) {

    const handleDownloadCollection = (e) => {
        e.preventDefault();
        let zip = false;

        alert("Caso esta coleção contenha links externos, eles serão abertos em novas abas.\n Talvez seja preciso permitir a abertura de várias abas nas opções do seu navegador!");

        objects.forEach(async (object) => {
            if (object.collectionable.link !== null) {
                let url = mecredURLv1 + `/learning_objects/${object.collectionable.id}/download`;
                window.open(url, '_blank');
            } else {
                zip = true;
            }
        });

        if (zip) {
            window.location = mecredURL + `zipper/${id}`;
        }
    };

    return (
        <button
            id="Baixar"
            className="p-2 text-sm outline outline-1 outline-ice-HC-white hover:text-darkGray-HC-dark text-darkGray-HC-white-underline bg-ice-HC-dark hover:bg-lightGray-HC-white rounded-xl max-md:my-3 font-bold normal-case flex items-center justify-center gap-2 md:px-3 md:py-2 md:w-32"
            onClick={handleDownloadCollection}
            aria-label="Baixar" // Texto para leitores de tela
            >
            <DownloadOutlinedIcon /> {/* Ícone de download */}
            <span className="hidden md:inline">Baixar</span> {/* Texto visível apenas em telas maiores */}
        </button>
    );
}
