import mecredApi from "@/axiosConfig";
import { useLoginBarrier } from "@/app/handlers/loginHandler";
import { getStoredValue } from "@/app/handlers/localStorageHandler";
import { useEffect, useState } from 'react'
import ModalNotifications from "./ModalNotifications";

export default function Notifications() {
    const [notifications, setNotifications] = useState([]);
    const [countNotifications, setCountNotifications] = useState(null);

    const loginBarrier = useLoginBarrier()

    const token = getStoredValue("access_token")
    const client = getStoredValue("client")
    const uid = getStoredValue("uid")

    useEffect(() => {
        if (!loginBarrier())
            return
        const url = `/feed?offset=0&limit=30`

        const getNotifications = async (url) => {
            await mecredApi
                .get(url, {
                    headers: {
                        'access-token': token,
                        'token-type': 'Bearer',
                        'client': client,
                        'uid': uid,
                        'Expires': 0
                    }
                })
                .then(({ data }) => {

                    // temp pq o set fica um passo atras ai nao eh possivel usar o set do countNotifications
                    let temp = data.filter((noti) => {return((noti.viewed === false))})
                    setNotifications(temp)
                    setCountNotifications(temp.length)
                })
                .catch((error) => console.error(error))
        }

        //chama funcao
         getNotifications(url)
   
        }, [loginBarrier, uid, client, token])

    const postViewNotification = async (payload) => {

        await mecredApi
        .post("/activities/view", payload,  {
            headers: {
                'access-token': token,
                'token-type': 'Bearer',
                'client': client,
                'uid': uid,
                'Expires': 0
            }
        })
        .then(() => {
            let temp = notifications.filter((noti) => (!payload.activities.ids.includes(noti.id)))
            setNotifications(temp)
            setCountNotifications(temp.length)
        })
        .catch((error) => console.error(error))
    }

    return <ModalNotifications countNotifications={countNotifications} notifications={notifications} postViewNotification={postViewNotification} />
    
}