import Image from "next/image";
import { mecredURL } from "@/axiosConfig";


const youtubeURLtoID = (url) => {
    if (!url) return null;

    let regex = /^(?:https?:\/\/)?(?:m\.|www\.)?(?:youtu\.be\/|youtube\.com\/(?:embed\/|v\/|watch\?v=|watch\?.+&v=))((\w|-){11})(?:\S+)?$/;

    let result = url.match(regex);
    if (result) return result[1];
    else return null;
};

const getDefaultThumbnail = (type) => {
    let thumbnail_url;

    switch (type) {
        case "Apresentação":
            thumbnail_url = "/images/red.png";
            break;
        case "Livro digital":
            thumbnail_url = "/images/pdf.png";
            break;
        case "Texto":
            thumbnail_url = "/images/pdf.png";
            break;
        case "Vídeo":
            thumbnail_url = "/images/video.png";
            break;
        case "Áudio":
            thumbnail_url = "/images/audio.png";
            break;
        case "Imagem":
            thumbnail_url = "/images/red.png";
            break;
        case "Animação":
            thumbnail_url = "/images/red.png";
            break;
        case "Jogo":
            thumbnail_url = "/images/red.png";
        case "Software Educacional":
            thumbnail_url = "/images/red.png";
            break;
        default:
            thumbnail_url = "/images/red.png";
            break;
    }

    return thumbnail_url;
};

export default function CollectionPreview({ collection }) {
    if (!collection?.id) return <></>;

    const uri = mecredURL + "inline/" + collection.id;

    let content = (
        <div className="relative aspect-video  h-full">
            <Image
                fill
                priority
                style={{
                    width: "100%",
                    objectFit: "cover",
                }}
                src={"/images/red.png"}
                alt={collection.name}
            />
        </div>
    );

    if (collection.items_thumbnails.length > 0) {
        content = (
            <div className="relative aspect-video w-full h-full">
                <Image
                    priority
                    sizes="50vw"
                    fill
                    style={{
                        width: '100%',
                        objectFit: 'cover'
                    }}
                    src={mecredURL + collection.items_thumbnails[0]}
                    alt={collection.name}
                />
            </div>
        );
    }

    return <div className="w-full overflow-hidden rounded-xl">{content}</div>;
}
