import Title from "@/app/components/Title";
import Image from "next/image";


export default function LoginInfo() {
    let cards = [
        {
            name: "Pesquise",
            icon: "/pesquisa.svg",
            color: "violet-HC-white"
        },
        {
            name: "Curta",
            icon: "/salvar.svg",
            color: "pink-HC-white",
        },
        {
            name: "Comente",
            icon: "/comentar.svg",
            color: "orange-HC-white"
        },
        {
            name: "Compartilhe",
            icon: "/compartilhar.svg",
            color: "turquoise-HC-white"
        },
        {
            name: "Avalie",
            icon: "/avaliar.svg",
            color: "orange-HC-white"
        },
        {
            name: "Colecione",
            icon: "/colecionar.svg",
            color: "turquoise-HC-white"
        },
        {
            name: "Contribua",
            icon: "/download.svg",
            color: "violet-HC-white"
        },
        {
            name: "Conecte-se!",
            icon: "/seguir.svg",
            color: "pink-HC-white"
        }
    ]

    return (
        <div className="pt-20 max-sm:hidden">
            <div className="max-[1280px]:hidden">
                <Title />
            </div>
            <div className="grid justify-items-center">
                <div className="flex flex-wrap justify-center max-w-[600px]">

                    {cards.map((card, i) => {
                        return (
                            <div key={i} className={`bg-${card["color"]} py-4 rounded-xl m-2 grid justify-items-center`} style={{ width: '7em', height: '7em' }}>
                                <Image className={`w-14 h-14 invertIcon-HC-black ${card["name"] === "Contribua" && `rotate-180`}`} alt={card["name"]} src={card["icon"]} width={10} height={10} />
                                <p className="text-white-HC-dark pt-1">{card["name"]}</p>
                            </div>
                        )
                    })}
                </div>
            </div>
            <h1 className="max-xl:hidden mb-10 text-lg max-lg:text-base text-darkGray-HC-white text-balance mt-10 text-center">
                Entre na MEC RED através do painel ao lado para saber mais.
            </h1>
            <h1 className="xl:hidden mb-10 text-lg max-lg:text-base text-darkGray-HC-white text-balance mt-10 text-center">
                Entre na MEC RED através do painel acima para saber mais.
            </h1>
        </div>
    )
}