"use client";
import { Button } from '@mui/material';
import React, { useState } from 'react';

const atalhos = [
    {
        title: 'Todos',
        titlePage: 'Todos',
    },
    {
        title: 'MEC',
        titlePage: 'MEC',
    },
    {
        title: 'UFPR',
        titlePage: 'UFPR',
    },
    {
        title: 'Ativos',
        titlePage: 'Ativos',
    },
    {
        title: 'Inativos',
        titlePage: 'Inativos',
    },
    {
        title: "Outros",
        titlePage: "Outros",
    }
]

export default function TeamFilters({ filterState, setFilterState }) {
    const [activeButton, setActiveButton] = useState(0);

    const handleActiveButton = (item, index) => {
        setActiveButton(index);
        setFilterState(item.title)
    }

    return (
        <div className="flex gap-2 ml-32 max-xl:justify-center max-sm:justify-start max-sm:ml-6 scrollbar-none  shrink max-xl:ml-0 mt-12 max-lg:overflow-x-auto max-lg:mx-2">
            {atalhos.map((item, index) => (
                <Button
                    key={index}
                    className={activeButton === index ? "active bg-turquoise-HC-white text-white-HC-dark-underline normal-case rounded-md w-20 h-10 text-base" : "bg-ice-HC-dark text-base text-darkGray-HC-white-underline hover:bg-lightGray-HC-white hover:text-darkGray-HC-dark normal-case rounded-md w-20 h-10 outline outline-1 outline-ice-HC-white"}
                    onClick={() => handleActiveButton(item, index)}
                >
                    {item.title}
                </Button>
            ))}
        </div>
    )
}