import FieldLabel from "../../components/FieldLabel";
import Radio from "@mui/material/Radio";
import RadioGroup from "@mui/material/RadioGroup";
import FormControlLabel from "@mui/material/FormControlLabel";
import CustomTextField from "./CustomTextField";

export default function AuthorSelection({ selectedValue, handleRadioChange, author, handleAuthorChange }) {
  return (
    <>
      <FieldLabel name="Autoria do Recurso*" />
      <div className="flex flex-col items-start">
        <RadioGroup
          aria-labelledby="demo-radio-buttons-group-label"
          value={selectedValue}
          name="radio-buttons-group"
          className="mb-5"
          sx={{
            '& .MuiRadio-root': {
              color: 'var(--darkGray-HC-white)', // Default radio color
              '&.Mui-checked': {
                color: 'var(--turquoise-HC-white)', // Selected radio color
              },
            },
          }}
        >
          <FormControlLabel
            onChange={handleRadioChange}
            value="a"
            control={<Radio />}
            label={
              <span className="text-darkGray-HC-white">
                O Recurso foi desenvolvido por mim.
              </span>
            }
          />
          <FormControlLabel
            onChange={handleRadioChange}
            value="b"
            control={<Radio />}
            label={
              <span className="text-darkGray-HC-white">
                O Recurso foi desenvolvido por mim e por outra(s) pessoa(s).
              </span>
            }
          />
          <FormControlLabel
            onChange={handleRadioChange}
            value="c"
            control={<Radio />}
            label={
              <span className="text-darkGray-HC-white">
                O Recurso foi desenvolvido por outra(s) pessoa(s).
              </span>
            }
          />
        </RadioGroup>
        {selectedValue !== "a" && (
          <div className="text-sm text-darkGray-HC-white mb-1">
            Nomes dos autores devem ser separados por vírgula.
          </div>
        )}
        <CustomTextField
          fullWidth
          multiline
          disabled={selectedValue === "a"}
          placeholder="Nomes dos autores separados por vírgula"
          value={author}
          onChange={handleAuthorChange}
          helperText={<div className=" w-full justify-end flex">
             <span className="text-red-HC-white justify-start">
              {selectedValue === "b" && !author.includes(",") && "Separe os nomes com vírgula."}
              {(selectedValue === "b" || selectedValue === "c") && author.trim().endsWith(",") && "Não termine com vírgula."}
            </span>
            <span className="ml-auto">
              {author?.length}/255
            </span>
            </div>}
          error={(selectedValue === "b" && (!author.includes(",") || author.trim().endsWith(","))) || 
                author?.length > 255 || selectedValue === "c" && author.trim().endsWith(",")}
          className="mb-5"
        />
      </div>
    </>
  );
}
