import { styled } from '@mui/material/styles';
import { TextField } from '@mui/material';

export default styled(TextField)(() => ({
    '& .MuiInputBase-input': {
      color: 'var(--darkGray-HC-white)', // Input text color
    },
    '& .MuiOutlinedInput-root': {
      '& fieldset': {
        borderColor: 'var(--mediumGray-HC-white)', // Default border color
      },
      '&:hover fieldset': {
        borderColor: 'var(--darkGray-HC-white)', // Hover border color
      },
      '&.Mui-focused fieldset': {
        borderColor: 'var(--turquoise-HC-white)', // Focused border color
      },
      '&.Mui-error fieldset': {
        borderColor: 'var(--red-HC-white)', // Error border color
      },
      '&.Mui-disabled': {
        '& fieldset': {
            borderColor: 'var(--mediumGray-HC-white)', // Disabled border color
        },
        backgroundColor: 'var(--ice)', // Disabled background color
      },
    },
    '& .MuiInputBase-input::placeholder': {
      color: 'var(--darkGray-HC-white)' , // Placeholder text color
    },
    '& .MuiFormHelperText-root.Mui-error': {
      color: 'var(--red-HC-white)', // Error helper text color
    },
    '& .MuiFormHelperText-root': {
      color: 'var(--darkGray-HC-white)', // Default helper text color
    },
  }));