import * as React from 'react';
import Modal from '@mui/material/Modal';
import { IconButton } from '@mui/material';
import CloseIcon from '@mui/icons-material/Close';

export default function ErrorSize({ open, handleClose,  maxSize="200MB" }) {


    return (
        <div>
            <Modal
                className='flex justify-center items-stretch m-4'
                open={open}
                onClose={handleClose}
                aria-labelledby="modal-modal-title"
                aria-describedby="modal-modal-description"
                slotProps={{
                    backdrop: {
                      sx: {
                        backgroundColor: "rgba(0, 0, 0, 0.3)", // Ajuste a opacidade conforme necessário
                      },
                    },
                }}
            >
                <div className='absolute p-4 pb-14 rounded-lg self-center bg-white-HC-dark '>
                    <div className='flex justify-end'>
                        <IconButton onClick={handleClose}>
                            <CloseIcon fontSize='large' />
                        </IconButton>
                    </div>
                    <p className='px-4 pt-2 text-center text-2xl text-darkGray-HC-white'>
                        Não foi possivel enviar o arquivo. 
                    </p>
                    <p className='px-4 pt-2 text-center text-lg text-darkGray-HC-white'>
                    Tamanho máximo suportado é de {maxSize}.
                    </p>
                </div>
            </Modal>
        </div>
    );
}
