
import Backdrop from '@mui/material/Backdrop';
import Modal from '@mui/material/Modal';
import CloseIcon from '@mui/icons-material/Close';
import { IconButton } from '@mui/material';

export default function ModalIncompleteField({ openModal, onClose}) {


    return (

        <Modal
            className='flex justify-center items-stretch m-4'
            aria-labelledby="transition-modal-title"
            aria-describedby="transition-modal-description"
            open={openModal}
            onClose={onClose}
            closeAfterTransition
            slots={{ backdrop: Backdrop }}
            slotProps={{
                backdrop: {
                    timeout: 500,
                    backgroundColor: "rgba(0, 0, 0, 0.3)", // Ajuste a opacidade conforme necessário
                },
            }}
            
        >
            <div className='absolute p-4 pb-14 rounded-lg self-center bg-white-HC-dark  border-2 border-ice-HC-white'>
                <>
                    <div className='flex justify-end'>
                        <IconButton onClick={onClose} className='group hover:bg-ice-HC-white'>
                            <CloseIcon fontSize='large' className='text-darkGray-HC-white-underline group-hover:text-darkGray-HC-dark' />
                        </IconButton>
                    </div>
                    <div className='px-12'>
                        <p className='flex justify-center text-darkGray-HC-white text-xl font-semibold pb-4'>
                            Todos os campos do formulário são de preenchimento obrigatório!</p>
                        <p className='text-center text-darkGray-HC-white text-xl'>
                        </p>
                    </div>
                </>
            </div>
        </Modal>
    );
}
