import Box from '@mui/material/Box';
import Stepper from '@mui/material/Stepper';
import Step from '@mui/material/Step';
import StepLabel from '@mui/material/StepLabel';
import { styled } from '@mui/material/styles';

const steps = [
  'Informações do Recurso',
  'Envio do Recurso',
  'Revisão e Submissão',
];

// Para alterar a cor do ícone ativo
const CustomStepLabel = styled(StepLabel)(({ theme }) => ({
  '& .MuiStepIcon-root': {
    color: 'var(--mediumGray-HC-white)', // Default color
    '&.Mui-active': {
      color: 'var(--turquoise-HC-white)', // Active color
      border: `2px solid var(--ice-HC-dark)`, // Inner border
      boxShadow: '0 0 0 4px var(--mediumGray-HC-white)', // Outer border
      borderRadius: '50%', // Circular appearance
    },
    '&.Mui-completed': {
      color: 'var(--mediumGray-HC-white)', // Completed step color
    },
  },
  '& .MuiStepIcon-text': {
    fill: 'var(--black)', // cor do texto dentro do ícone
  },
  '& .MuiStepLabel-label': {
    color: 'var(--darkGray-HC-white)', // Default label color
    '&.Mui-active': {
      color: 'var(--darkGray-HC-white)', // Active label color
    },
    '&.Mui-completed': {
      color: 'var(--darkGray-HC-white)', // Completed label color
    },
  },
}));

export default function HorizontalLinearAlternativeLabelStepper({ step }) {
  return (
    <Box sx={{ width: '100%' }} className="mb-5 mt-5 max-w-[1125px]">
      <Stepper 
        activeStep={step} 
        alternativeLabel
      >
        {steps.map((label, index) => (
          <Step key={label}>
            <CustomStepLabel active={step === index}>
              {label}
            </CustomStepLabel>
          </Step>
        ))}
      </Stepper>
    </Box>
  );
}