import Chip from '@mui/material/Chip';
import CancelIcon from '@mui/icons-material/Cancel';

export default function TagInput({ tags, handleTagDelete }) {
    return (
        <div className="flex min-h-5 flex-wrap">
            {tags.map((tag, index) => (
                <Chip 
                    className="m-1 text-black-HC-white" 
                    key={index} 
                    label={tag} 
                    variant="outlined" 
                    onDelete={() => handleTagDelete(tag)} 
                    deleteIcon={<CancelIcon className='text-lightGray-HC-white ' />}
                />
            ))}
        </div>
    )
}